<?php

/**
 * @brief Classe contenant les fonctions de comparaisons
 */
class sort_manager {
    
    /**
     * @brief Fonction standard de tri selon les points
     */
    public static function pointsort($a, $b) {
        //On vérifie si les objets ne sont pas nuls
        if (($a == NULL) || ($b == NULL)) {
            //Si c'est le cas, on renvoi le résultat d'égalité
            return 0;
        }

        //On lance la comparaison
        try {
            //On récupère le nombre de points de chaque objet
            $pa = $a->getPoint();
            $pb = $b->getPoint();

            //On retourne la comparison
            return $pa < $pb;
        } catch (Exception $ex) {
            if (config::$debug) {
                //On cas d'erreur, on affiche un message si DEBUG = ON
                echo $ex->getMessage();
            }

            //On renvoie le résultat d'égalité pour éviter de bloquer les résultats
            return 0;
        }
    }

}

?>
